Debian Bug report logs - #680704
iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.

version graph

Package: iceweasel; Maintainer for iceweasel is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>; Source for iceweasel is src:iceweasel.

Reported by: Javier Vasquez <j.e.vasquez.v@gmail.com>

Date: Sun, 8 Jul 2012 02:09:01 UTC

Severity: important

Found in version iceweasel/10.0.5esr-2

Fixed in version 10.0.12esr-1+nmu1

Done: Steven Chamberlain <steven@pyro.eu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#680704; Package iceweasel. (Sun, 08 Jul 2012 02:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Vasquez <j.e.vasquez.v@gmail.com>:
New Bug report received and forwarded. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sun, 08 Jul 2012 02:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javier Vasquez <j.e.vasquez.v@gmail.com>
To: submit@bugs.debian.org
Subject: iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.
Date: Sat, 7 Jul 2012 20:06:34 -0600
Package: iceweasel
Version: 10.0.5esr-2
Severity: important

Notice dependency on xulrunner version 10.0.5esr-2...

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: mipsel (mips64)

Kernel: Linux 3.2.0-3-loongson-2f
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

+++++++++++++++

I own lemote mini-pcs with loongson-2f cpu (mipsel), and the official
iceweasel hasn't ever worked out for me when accessing for example
gmail account, even less bank accounts.

I use debian mipsel unstable only...

So far to be able to browse such pages, I'm using anheng testing
repository (they don't provide unstable), and their iceweasel really
works, but it's outdated.  Not sure if they apply any special patches
other than compiling specifically for loongson-2f...  Their repo is:

deb http://www.anheng.com.cn/loongson2f/testing ./

http://www.anheng.com.cn/loongson2f/testing/iceweasel/iceweasel9/iceweasel_9.0.1-1loongson_mipsel.deb
http://www.anheng.com.cn/loongson2f/testing/iceweasel/iceweasel9/xulrunner-9.0_9.0.1-1loongson_mipsel.deb
http://www.anheng.com.cn/loongson2f/testing/iceweasel/iceweasel9/libmozjs9d_9.0.1-1loongson_mipsel.deb

I think now debian advertises support for loongson-2f, thus, I believe
supporting official debian version of firefox is important.

Thanks,

-- 
Javier.




Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#680704; Package iceweasel. (Sun, 08 Jul 2012 02:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Vasquez <j.e.vasquez.v@gmail.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sun, 08 Jul 2012 02:30:05 GMT) Full text and rfc822 format available.

Message #10 received at 680704@bugs.debian.org (full text, mbox):

From: Javier Vasquez <j.e.vasquez.v@gmail.com>
To: 680704@bugs.debian.org
Subject: iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.
Date: Sat, 7 Jul 2012 20:26:20 -0600
Forgot to mention that what happens is that iceweasel just freezees,
with no other option than killing the application.  When running
through command line from terminal, there's absolutely no error
message, nothing.

It used to be that one could login, and after a few seconds iceweasel
would freeze.  As of now I can even get to enter the login page of
gmail, just freezes when getting there...

The behavior has persisted since there was iceweasel 8 I believe, all
the way through 9, and now 10...  Remember I use unstable, and have
tried experimental to see if things improve, :-)

-- 
Javier.




Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#680704; Package iceweasel. (Sun, 12 Aug 2012 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Vasquez <j.e.vasquez.v@gmail.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sun, 12 Aug 2012 20:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 680704@bugs.debian.org (full text, mbox):

From: Javier Vasquez <j.e.vasquez.v@gmail.com>
To: 680704@bugs.debian.org
Subject: iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.
Date: Sun, 12 Aug 2012 14:29:14 -0600
The new unstable version still doesn't help.  Currently on mipsel:

iceweasel      10.0.6esr-2
xulrunner-10.0      10.0.6esr-2

Iceweasel keeps hanging on gmail web interface on new 10.0.6esr-2
debian release.  I got strace now, though I'll see how to provide
attachment later.  For now, I'll point out that strace indicates
iceweasel reaches an infinite invalid argument loop:

gettimeofday({1344794173, 223105}, NULL) = 0
gettimeofday({1344794173, 366012}, NULL) = 0
gettimeofday({1344794173, 367223}, NULL) = 0
gettimeofday({1344794173, 377720}, NULL) = 0
gettimeofday({1344794173, 400642}, NULL) = 0
gettimeofday({1344794173, 416226}, NULL) = 0
gettimeofday({1344794173, 417000}, NULL) = 0
gettimeofday({1344794173, 420493}, NULL) = 0
gettimeofday({1344794173, 421108}, NULL) = 0
gettimeofday({1344794173, 422545}, NULL) = 0
gettimeofday({1344794173, 423126}, NULL) = 0
gettimeofday({1344794173, 428157}, NULL) = 0
gettimeofday({1344794173, 428844}, NULL) = 0
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)
madvise(0x63fae000, 4096, MADV_DONTNEED) = -1 EINVAL (Invalid argument)

Iceweasle keeps there hanging until it's killed, with the same EINVAL madvise...

-- 
Javier.



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#680704; Package iceweasel. (Sun, 12 Aug 2012 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Vasquez <j.e.vasquez.v@gmail.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sun, 12 Aug 2012 20:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 680704@bugs.debian.org (full text, mbox):

From: Javier Vasquez <j.e.vasquez.v@gmail.com>
To: 680704@bugs.debian.org
Subject: iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.
Date: Sun, 12 Aug 2012 14:46:17 -0600
[Message part 1 (text/plain, inline)]
Attempting to attach the strace output of running latest mipsel
iceweasel on gmail web interface...

-- 
Javier.
[iceweasel_strace_sharing.txt.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#680704; Package iceweasel. (Sun, 12 Aug 2012 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Vasquez <j.e.vasquez.v@gmail.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sun, 12 Aug 2012 20:57:03 GMT) Full text and rfc822 format available.

Message #25 received at 680704@bugs.debian.org (full text, mbox):

From: Javier Vasquez <j.e.vasquez.v@gmail.com>
To: 680704@bugs.debian.org
Subject: Re: iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.
Date: Sun, 12 Aug 2012 14:53:53 -0600
Had to gzip the strace output in order to be able to attach the file...


-- 
Javier.



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#680704; Package iceweasel. (Sat, 03 Nov 2012 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sat, 03 Nov 2012 17:21:04 GMT) Full text and rfc822 format available.

Message #30 received at 680704@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 680704@bugs.debian.org
Cc: j.e.vasquez.v@gmail.com
Subject: Re: Bug#680704: iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.
Date: Sat, 03 Nov 2012 17:18:23 +0000
Hi Javier,

You might like to try iceweasel/10.0.10esr-1 on loongson-2f.

I can't explain why (there is no mention in the changelog) but after I
upgraded to that version it seems to be stable (used it for a about an
hour today with JavaScript enabled and it didn't hang).

Please let me know if it works for you too.

Thanks!
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#680704; Package iceweasel. (Sat, 03 Nov 2012 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Vasquez <j.e.vasquez.v@gmail.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sat, 03 Nov 2012 21:18:04 GMT) Full text and rfc822 format available.

Message #35 received at 680704@bugs.debian.org (full text, mbox):

From: Javier Vasquez <j.e.vasquez.v@gmail.com>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 680704@bugs.debian.org
Subject: Re: Bug#680704: iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.
Date: Sat, 3 Nov 2012 15:15:53 -0600
[Message part 1 (text/plain, inline)]
On Sat, Nov 3, 2012 at 11:18 AM, Steven Chamberlain <steven@pyro.eu.org>wrote:

> ...
>
> You might like to try iceweasel/10.0.10esr-1 on loongson-2f.
>
> ...
>

I did it when I notice the new version available.  And I tried it once more
a few minutes back, given your comment.

Unfortunately it's still hanging on me under gmail account.  So to me it's
behaving the same, even though it might have become a little more stable,
:-(

So I had to revert to anheng old 9.0.1-1loongson...

Sorry for the bad news.

-- 
Javier.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#680704; Package iceweasel. (Sat, 03 Nov 2012 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sat, 03 Nov 2012 21:33:03 GMT) Full text and rfc822 format available.

Message #40 received at 680704@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Javier Vasquez <j.e.vasquez.v@gmail.com>, 680704@bugs.debian.org
Subject: Re: Bug#680704: iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.
Date: Sat, 03 Nov 2012 21:29:19 +0000
Hi,

Oh well.  Thank you for trying that anyway.

Just a thought:  did you also update the xulrunner-10.0 package to
10.0.10esr-1?  The relevant change might have been in that package
rather than in the 'iceweasel' package.

Earlier today I had done a full dist-upgrade of Wheezy, so next time I
test, if it really doesn't hang any more, maybe I can narrow it down.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#680704; Package iceweasel. (Sat, 03 Nov 2012 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Vasquez <j.e.vasquez.v@gmail.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sat, 03 Nov 2012 21:45:03 GMT) Full text and rfc822 format available.

Message #45 received at 680704@bugs.debian.org (full text, mbox):

From: Javier Vasquez <j.e.vasquez.v@gmail.com>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 680704@bugs.debian.org
Subject: Re: Bug#680704: iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.
Date: Sat, 3 Nov 2012 15:40:55 -0600
[Message part 1 (text/plain, inline)]
On Sat, Nov 3, 2012 at 3:29 PM, Steven Chamberlain <steven@pyro.eu.org>wrote:

> ...
> did you also update the xulrunner-10.0 package to
> 10.0.10esr-1?  The relevant change might have been in that package
> rather than in the 'iceweasel' package.

...

iceweasel  10 doesn't install without xulrunner 10...  So yes, when
updating iceweasel I also updated xulrunner, :-)

So again, sorry for still bad news from me...

Thanks,

-- 
Javier.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#680704; Package iceweasel. (Mon, 24 Dec 2012 20:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Vasquez <j.e.vasquez.v@gmail.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Mon, 24 Dec 2012 20:27:05 GMT) Full text and rfc822 format available.

Message #50 received at 680704@bugs.debian.org (full text, mbox):

From: Javier Vasquez <j.e.vasquez.v@gmail.com>
To: 680704@bugs.debian.org
Subject: iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.
Date: Mon, 24 Dec 2012 14:24:24 -0600
Hi,

Anheng testing has released loongson-2f specific iceweasel 17 version,
which seems to work so far.

It applies a patch though over version 17, which changes the PageShift
to 14 for mips:

http://www.anheng.com.cn/loongson2f/testing/iceweasel/iceweasel17/fix_loongson_PageSize.patch

It also applies a debian patch, which seems generic to debian though:

http://www.anheng.com.cn/loongson2f/testing/iceweasel/iceweasel17/debian.diff

And a page size patch that seems key:

http://www.anheng.com.cn/loongson2f/testing/iceweasel/iceweasel17/Don-t-hardcode-page-size-on-ia64-or-sparc.patch

The 17 anheng loongson-2f version is then what I'm using now...  Not
sure if debian will attempt to look into the anheng patches...  Debian
unstable packages are still broken.  BTW, there's no experimental
version for mipsel yet, :-(

Thanks,

--
Javier.



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#680704; Package iceweasel. (Mon, 24 Dec 2012 20:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Mon, 24 Dec 2012 20:51:09 GMT) Full text and rfc822 format available.

Message #55 received at 680704@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Javier Vasquez <j.e.vasquez.v@gmail.com>, 680704@bugs.debian.org
Subject: Re: Bug#680704: iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.
Date: Mon, 24 Dec 2012 20:50:15 +0000
block 680704 by 692053
thanks

Hi,

On 24/12/12 20:24, Javier Vasquez wrote:
> It applies a patch though over version 17, which changes the PageShift
> to 14 for mips:

The hangs we both see in iceweasel 10 on loongson-2f seem similar to
#692053 on ia64, which was due to non-4K page size.  Stefan Schreiber
has just come up with a patch for it.  If there is a new upload to
unstable with that patch we should both re-test.

I will test sooner if my netbook seems capable of building iceweasel.


> http://www.anheng.com.cn/loongson2f/testing/iceweasel/iceweasel17/fix_loongson_PageSize.patch

That might fix things for loongson-2f with 16K page size - but do *all*
MIPS systems have the same?

On ia64 for example it can vary across hardware, so it would be wrong to
hard-code it.  If it's the same situation on mips(el) too then this
seems better:

> http://www.anheng.com.cn/loongson2f/testing/iceweasel/iceweasel17/Don-t-hardcode-page-size-on-ia64-or-sparc.patch

That change (already applied in Debian experimental only for ia64/sparc)
should perhaps also apply to mips(el).  It seems it might fix the build
issue of iceweasel 17 in experimental.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Added blocking bug(s) of 680704: 692053 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 24 Dec 2012 20:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#680704; Package iceweasel. (Thu, 14 Mar 2013 23:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Thu, 14 Mar 2013 23:30:08 GMT) Full text and rfc822 format available.

Message #62 received at 680704@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 680704@bugs.debian.org
Cc: Javier Vasquez <j.e.vasquez.v@gmail.com>
Subject: Re: Bug#680704: iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.
Date: Thu, 14 Mar 2013 23:27:23 +0000
Hi!

On 24/12/12 20:50, Steven Chamberlain wrote:
> The hangs we both see in iceweasel 10 on loongson-2f seem similar to
> #692053 on ia64, which was due to non-4K page size.  Stefan Schreiber
> has just come up with a patch for it.  If there is a new upload to
> unstable with that patch we should both re-test.

Stefan's patch was included in 10.0.12esr-1+nmu1 which just finished
building tonight.  I have been testing and so far it seems good!

Javier, you may want to try this.  I've visited some sites that
triggered the hang with 100% CPU before, but it seems okay now.

I upgraded the iceweasel, xulrunner-10.0 and libmozjs10d packages from sid.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#680704; Package iceweasel. (Sat, 16 Mar 2013 03:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Vasquez <j.e.vasquez.v@gmail.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sat, 16 Mar 2013 03:30:04 GMT) Full text and rfc822 format available.

Message #67 received at 680704@bugs.debian.org (full text, mbox):

From: Javier Vasquez <j.e.vasquez.v@gmail.com>
To: 680704@bugs.debian.org
Subject: Re: Bug#680704: iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.
Date: Fri, 15 Mar 2013 21:27:27 -0600
It does actually work, a bit slower than the anhen 17 version, but I'm
glad it works on plain debian...

I'll keep using this new then.  Seems like the bug can finally be closed, :-)

Thanks,

Javier



Reply sent to Steven Chamberlain <steven@pyro.eu.org>:
You have taken responsibility. (Sat, 16 Mar 2013 10:12:04 GMT) Full text and rfc822 format available.

Notification sent to Javier Vasquez <j.e.vasquez.v@gmail.com>:
Bug acknowledged by developer. (Sat, 16 Mar 2013 10:12:04 GMT) Full text and rfc822 format available.

Message #72 received at 680704-done@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 680704-done@bugs.debian.org
Cc: Stephan Schreiber <info@fs-driver.org>
Subject: Re: Bug#680704: iceweasel/xulrunner: Loongson-2f mipsel iceweasel/xulrunner hasn't been working since several versions back.
Date: Sat, 16 Mar 2013 10:09:43 +0000
Version: 10.0.12esr-1+nmu1

Thank you Stephan, your patch for #680704 (targetting ia64) has fixed
this issue on mipsel too.  loongson-2f systems now have a stable and
full-featured browser for wheezy.

>  iceweasel (10.0.12esr-1+nmu1) unstable; urgency=medium
[...]
>    * Fix javascript resource consumption issue on ia64 (closes: #692053).

On 14/03/13 23:27, Steven Chamberlain wrote:
> On 24/12/12 20:50, Steven Chamberlain wrote:
>> The hangs we both see in iceweasel 10 on loongson-2f seem similar to
>> #692053 on ia64, which was due to non-4K page size.  Stephan Schreiber
>> has just come up with a patch for it.  If there is a new upload to
>> unstable with that patch we should both re-test.
> 
> Stephan's patch was included in 10.0.12esr-1+nmu1 which just finished
> building tonight.  I have been testing and so far it seems good!

On 16/03/13 03:27, Javier Vasquez wrote:
> It does actually work, a bit slower than the anhen 17 version, but I'm
> glad it works on plain debian...

Thanks also for feedback on this.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 07:31:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:17:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.